#
# spec file for package cinelerra
#
# Copyright (c) Leon Freitag (leon@links2linux.de).
# Copyright (c) 2013 Mariusz Fik <fisiu@opensuse.org>.
# Copyright (c) 2014 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#

Name:           cinelerra
Version:        2.2git.2013.09.09
Release:        1.26
License:        GPL-2.0
Summary:        A non linear video editor and effects processor
Url:            http://cinelerra.org/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        %{name}-%{version}.tar.gz
# TODO Rewrite BuildRequires to pkgconfig(foo) style
BuildRequires:  IlmBase-devel
BuildRequires:  Mesa-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  alsa-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  e2fsprogs-devel
BuildRequires:  fftw3-devel
BuildRequires:  flac-devel
BuildRequires:  fltk-devel
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version} >= 1230
BuildRequires:  glu-devel
%endif
%if 0%{?suse_version} == 1220
BuildRequires:  Mesa-libGLU-devel
%endif
BuildRequires:  liba52dec-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libdv-devel
BuildRequires:  libfaac-devel
BuildRequires:  libfaad-devel
BuildRequires:  libffmpeg_oldabi-devel
BuildRequires:  libiec61883-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmjpegutils-devel
BuildRequires:  libmp3lame-devel
BuildRequires:  libmpeg3-devel
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libsndfile
BuildRequires:  libsndfile-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  libuuid-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libx264-devel
BuildRequires:  nasm
BuildRequires:  ncurses-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xorg-x11-devel
BuildRequires:  yasm
Requires:       mjpegtools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

#disable the code checks, I'm not going to mess with the Cinelerra code, although the warnings seem strange.


%description
Heroine Virtual Ltd. presents an advanced content creation system for Linux. 
Cinelerra takes what normally is a boring server - studied in computer science 
classrooms, hidden in back offices - and turns it into a 50,000 watt 
flamethrower of multimedia editing.
That's right kids. Unlike most of the Linux solutions out there, Cinelerra 
requires no emulation of proprietary operating systems, no commercial add-ons, 
no banner advertizements, no corporate dependencies, no terrorists, just a 
boring old Linux box.
Cinelerra does primarily 3 main things: capturing, compositing, and editing 
audio and video with sample level accuracy. It's a seamless integration of 
audio, video, and still photos rarely experienced on a web server.
If you want to make movies, you just want to defy the establishment, you want 
the same kind of compositing and editing suite that the big boys use, on the 
world's most efficient UNIX operating system, it's time for Cinelerra.

The version you'll find in this package is the cinelerra.org community version.

%package devel
Summary:        Cinelerra header files and development libraries
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}
%description devel
Cinelerra is a professional video editing and compositing software.
This packages provides files needed for compiling stuff

%{lang_package}

%prep
%setup -q

%build
./autogen.sh
CXXFLAGS="%{optflags} -O3 -pipe -D__STDC_CONSTANT_MACROS"
%configure \
    --with-plugindir=%{_libdir}/%{name} \
    --with-buildinfo=cust/Packman\ build \
    --with-external-ffmpeg \
    --enable-opengl

make %{?_smp_mflags}

%install
%makeinstall
# rename the mpeg3 utils so they can be installed alongside SuSE native versions
pushd %{buildroot}/%{_bindir}
mv mpeg3toc mpeg3toc.hv
mv mpeg3cat mpeg3cat.hv
mv mpeg3dump mpeg3dump.hv
popd

%suse_update_desktop_file cinelerra -r Multimedia AudioVideoEditing
%{find_lang} %{name}


%files
%defattr(-,root,root)
%doc
%{_bindir}/cinelerra
%{_bindir}/mplexlo
%{_bindir}/mpeg3dump.hv
%{_bindir}/mpeg3toc.hv
%{_bindir}/mpeg3cat.hv
%{_libdir}/cinelerra/*
%{_libdir}/libguicast.so.*
%{_libdir}/libmpeg3hv*.so.*
%{_libdir}/libquicktimehv*.so.*
%{_datadir}/applications/cinelerra.desktop
%{_datadir}/pixmaps/cinelerra.xpm

%files devel
%defattr(-,root,root)
%{_libdir}/libmpeg3hv.so
%{_libdir}/libmpeg3hv.la
%{_libdir}/libquicktimehv.so
%{_libdir}/libquicktimehv.la
%{_libdir}/libguicast.so
%{_libdir}/libguicast.la
%{_includedir}/*

%files lang -f %{name}.lang
%defattr(-,root,root)

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sun Feb 16 2014 dap.darkness@gmail.com
- Update to latest git snapshot (20130909).
- Clean section was deleted.
- Rpm opt flags became used.
* Wed Mar 20 2013 fisiu@opensuse.org
- Update to latest git snapshot (20120923).
- Spec cleanup.
* Sat May 19 2012 seife+obs@b1-systems.com
- fix build on 12.2 by adding autoconf & co buildrequires
* Sat Nov 26 2011 leon@links2linux.de
- new release CV 2.2
* Tue Feb 22 2011 leon@links2linux.de
- new release CV 2.1.5
* Sun Aug  1 2010 leon@links2linux.de
- use latest version from Simen Voelkl's repository (cin2.1sv)
- enabled opengl
- Suse 11.3 build
* Mon Jun 29 2009 leon@links2linux.de
- updated the git version to the latest one with the dnxhd codec
- converted the russian translation to UTF8
* Tue Jan  6 2009 leon@links2linux.de
- new versioning scheme, as cinelerra moved to git and dropped the release numbers
- Suse 11.1 build
* Thu Jul  3 2008 leon@links2linux.de
- added a patch to compile on gcc 4.3/Suse 11.0, thanks to Toni and Rain_Maker
* Sat Oct  6 2007 leon@links2linux.de
- svn r1036
* Wed Mar 28 2007 leon@links2linux.de
- svn r1006
- added the custom buildinfo
* Mon Nov 13 2006 leon@links2linux.de
- svn r958
- updated for the new x264 version
* Tue Sep 26 2006 leon@links2linux.de
- changed the spec to match the packman/SP conventions
- svn r909
* Thu Sep 14 2006 cobra@compuserve.com
- First package with merged Cinelerra 2.1
- svn r888
* Thu Jun  1 2006 cobra@compuserve.com
- transitions fix, Ogg renderfarm support, po email address fix
- file.h compile fix, fix thread delete race condition
- a bunch of mem management fixes
* Mon May 29 2006 cobra@compuserve.com
- reading ogg vorbis fix, Freetype2 2.2.1 compatibility
- mjpeg load fixes (bug139, 148, 259), fix insertion of media files directly
- shorten xml files, motion blur plugin
- camera and projector automation for plugins, waveform not shown fix
- change every clip all media files behavior in saved xml
- work without audio enabled, delete pluginsets fix
* Tue May  2 2006 cobra@compuserve.com
- fseek0 fix bug244, bug250, check sound/audio in dv format
- bug249 vorbis setup fix, chromakey fix, check for libfaac
- fix DV audio read sample impl., move icon in Gnome
- bug30 allow transition at end of track, bug243
- fix crash when rendering plugins, fix null plugin usage
- fix load XML crash, bug242 >1024 properties
* Mon Apr  3 2006 cobra@compuserve.com
- EDL export, .mov DV fourcc -> dvc, multi transitions with diff lengths fix
- debian build fixes, new configure checks and libavcodec header fixes
- mux fixes for long silence/empty video, ubuntu build fixes
- RGB*_FLOAT color models for mask engine, gcc 4.1.0 fixes/mpeg2enc
- Makefile cleanups, raise_window() commands, BUZ driver channel editor fixes
- format selection for timecode in titler, build date and CV versioning
- fix --disable-firewire, chromakey-hsv plugin, pt_BR translation updates
- deinterlace plugin updates, cache frames even when not static
- new deinterlacer, timefronts - take from alpha
- fix apply-mask-before-plugins for masks, new timefront plugin
- add histogram split checkbox
* Sat Feb  4 2006 cobra@compuserve.com
- vertical pos of auto-zoom text, dv audio offset/framing fix
- Italian translation, Spanish update, deinterlace fix
- mpeg encode params fix
* Thu Jan 26 2006 cobra@compuserve.com
- raw dv i/o fixes, textual info for labels, " conversion
- Automation text label editable, audio_position adjust for dv1394
* Sat Dec 24 2005 cobra@compuserve.com
- fix bug 219 & 220, make text menu hilight white
- alt+left/right navigates trough edit handles
- parameter name fix, single image dnd fixes, remove mwindowmove dup code
- ffmpeg defaults for elem stream (Bug 164), member function fix
- gettextize language changes for more plugins, French update
* Sun Dec 11 2005 cobra@compuserve.com
- Fix renderfarm client crash, align cursor on frames default
- right mouse on keyframe - keyframe popup, guicast / gettextize additions
- Brazilian update, French update
- link mpeg2enc.plugin for SUSE, add mjpegtools >= 1.6.3 dep
* Mon Nov 14 2005 cobra@compuserve.com
- Initial build of CV from svn tree.
